
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ASP.NET 中处理页面“回退”的方法 / iVAN</title>

    <meta name="description" content="ASP.NET 中处理页面“回退”的方法 我们在编写基于 ASP.NET 的应用程序时,如果代码执行出错或检测到异常,一般会提示用户&quot;返回&quot;或&quot;回退&quot;,或者在多步操作.列表/详细的查看界面中,也会给用户提供回退到上一页面的链接,对于这种情况,大家很快就会想到的简单做法就是利用 Javascript 来实现,即 history.go(-1) ,但是由于 ASP.NET 页面的 PostBack 机制,所以 history.go(-1) 可能还是当前页面,而不能真正回退到上一页面. 在 Classif ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">ASP.NET 中处理页面“回退”的方法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>　　我们在编写基于 ASP.NET 的应用程序时，如果代码执行出错或检测到异常，一般会提示用户“返回”或“回退”，或者在多步操作、列表/详细的查看界面中，也会给用户提供回退到上一页面的链接，对于这种情况，大家很快就会想到的简单做法就是利用 Javascript 来实现，即 history.go(-1) ，但是由于 ASP.NET 页面的 PostBack 机制，所以 history.go(-1) 可能还是当前页面，而不能真正回退到上一页面。</p>
<p>　　在 Classifieds Site Starter Kit 中，学习到一种不错的关于回退的处理方法，可以分别在客户端和服务器控件中实现页面的回退，代码如下：</p>
<p><strong>　　1）首先在页面中增加两个属性</strong></p>
<p>　　 //记录上一个页面的信息<br />　　private string UrlReferrer<br />　　 ...{<br />　　get<br />        ...{<br />            return ViewState["UrlReferrer"] as string;<br />        }<br />        set<br />        ...{<br />            ViewState["UrlReferrer"] = value;<br />        }</p>
<p>    }</p>
<p>　　//记录 PostBack 的次数<br />　　public int NumPostBacks<br />    ...{<br />        get<br />        ...{<br />            if (ViewState["NumPostBacks"] != null)<br />                return (int)ViewState["NumPostBacks"];<br />            else<br />            ...{<br />                ViewState["NumPostBacks"] = 0;<br />                return 0;<br />            }<br />        }  <br />        set<br />        ...{<br />            ViewState["NumPostBacks"] = value;<br />        }<br />    }</p>
<p> </p>
<p>　　// 记录上一页面的信息或更新 PostBack 的次数<br />　　 protected void Page_Load(object sender, EventArgs e)<br />　　 ...{</p>
<p>　　 if (!Page.IsPostBack)<br />        ...{<br />            if (Request.UrlReferrer != null)<br />                this.UrlReferrer = Request.UrlReferrer.ToString();<br />        }<br />        else<br />            NumPostBacks++;</p>
<p>        int goBackSteps = NumPostBacks + 1;<br />        BackLink.NavigateUrl = String.Format("javascript:history.go(-{0});", goBackSteps);<br />    }</p>
<p> </p>
<p>　　 //在代码中回退<br />　　 protected void ReturnToPreviousPage()<br />　　...{<br />        string referrer = UrlReferrer;<br />        if (referrer != null)<br />            Response.Redirect(referrer);<br />        else<br />            Response.Redirect("~/default.aspx", true);</p>
<p> </p>
<p> <strong>　　3）直接在代码中处理回退操作（如 Back_Click），可以直接调用如下方法</strong> <br /><strong>　　2）在 Page_Load 事件记录上一页面地址、更新 Postback 次数、设置回退链接的地址</strong></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-01 19:36:46</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e9%a1%b5%e9%9d%a2/" title="页面">页面</a>, <a href="https://www.iamivan.net/tag/viewstate/" title="viewstate">viewstate</a>, <a href="https://www.iamivan.net/tag/urlreferrer/" title="UrlReferrer">UrlReferrer</a>, <a href="https://www.iamivan.net/tag/postback/" title="postback">postback</a>, <a href="https://www.iamivan.net/tag/referrer/" title="referrer">referrer</a>, <a href="https://www.iamivan.net/tag/%e9%a1%b5%e9%9d%a2%e5%9b%9e%e9%80%80/" title="页面回退">页面回退</a>, <a href="https://www.iamivan.net/tag/%e5%9b%9e%e9%80%80/" title="回退">回退</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>ASP.NET 中处理页面“回退”的方法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlRdknz.html" rel="bookmark">ASP&period;NET中的Response对象的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Asp.Net中的Response对象的方法如下表所示,下面将向大家详细介绍它的重要方法. WriteFile将文件输出到客户端 Write将数据输出到客户端浏览器 Redirect将网页重新转到另一地址 Flush将缓冲区的数据输出到客户端浏览器 End停止并结束ASP网页的处理 Close关闭客户端的联机 ClearHeaders清除缓冲区中的页面标题 Clear清除缓冲区的数据 BinaryWrite将二进制字符或字符串输出到客户端浏览器 AppendToLog将自定义的数据加入到IIS日			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW1Amjz.html" rel="bookmark">ASP&period;NET动态设置页面标题的方法详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这篇文章介绍了ASP.NET动态设置页面标题的方法详解,有需要的朋友可以参考一下     ASP.NET为我们提供了一个控件类:System.Web.UI.HtmlControls.HtmlGenericControl.它可以实现 HTML的元素的一个实例,比如在.cs代码中控制aspx中的&lt;td&gt;元素(注意,它不是&lt;ASP:TableCell&gt;). 我们知道,页面标题是被包含在&lt;TITLE&gt;&lt;/TITLE&gt;中的,而&lt;TITLE&gt;也是一个HTML			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDADdKb.html" rel="bookmark">ASP&period;NET中 Execl导出的六种方法实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了ASP.NET中 Execl导出的六种方法实例,有需要的朋友可以参考一下  代码如下:         /// &lt;summary&gt;         /// 导出Excel         /// &lt;/summary&gt;         /// &lt;param name=&quot;page&quot;&gt;&lt;/param&gt;         /// &lt;param name=&quot;dt&quot;&gt;&lt;/param&gt;  			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQYD4ob.html" rel="bookmark">asp&period;net中禁止页面缓存程序代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				方法一:导航时用服务器端的Response.Redirect方法,或者用前端得window.location.replace方法. 方法二:禁用ASP.NET页面缓存. 在必要的时候我还是推荐方法二的.因为我们做开发的不能控制浏览器的设置.用户如果把IE设置为从不检查更新缓存的问题则不好避免,所以还是用方法二,让IE的临时文件夹不存在页面文件. 另外,是否禁用页面缓存要根据实际情况来说,起初我认为页面缓存只是缓存在服务器,后来看了一篇blog 发现缓存的意义还是很大的.在很多情况下可以大大减小服			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGwLLkz.html" rel="bookmark">Asp&period;net中阻止页面按钮多次提交的解决办法&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题背景: 手头上的KPI分类评级考核系统,页面的提交按钮是用LinkButton或者Button做的.当大量用户同时在线访问该站点时,应用程序服务器出现CPU占用100%的糟糕状况,页面会卡住不动,用户不明情况连续点击提交按钮重复提交,造成数据库中出现大量的重复数据. 其实,即便服务器没有崩掉,快速频繁点击提交按钮,也会出现重复提交的问题. 尝试过:1)在提交按钮的点击事件里设置提交按钮的Enabled属性 Enabled = false; ,这个属性设置在未拿到新页面前是无效的,问题依然存在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMqJWGp.html" rel="bookmark">php开发中的页面跳转方法总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				php页面跳转实现的功能就是将网站中一个网页跳转到另一个网页中.对于刚刚学习php语言的朋友来说,是必须要掌握的基础方法. 开发中的页面跳转方法总结-微信网页开发页面跳转&quot;&gt; 页面跳转可能是由于用户单击链接.按钮等触发的,也可能是系统自动产生的.页面自动跳转在web开发中经常用到,而且根据需求可以采用不同的跳转方式,比如提示操作信息后延时跳转等, 本文总结了web开发中常见的几种页面跳转方法. php header函数跳转 php的header函数非常强大,其中在页面url跳转方面也调用简			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPNay1b.html" rel="bookmark">asp&period;net计算每个页面执行时间的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了asp.net计算每个页面执行时间的方法,涉及asp.net操作时间的相关技巧,非常具有实用价值,需要的朋友可以参考下 本文实例讲述了asp.net计算每个页面执行时间的方法.分享给大家供大家参考.具体分析如下: 这里的asp.net代码可实现计算每个页面的执行时间,无需要修改页面的相关代码,这段代码会给所有的页面统一加上执行时间显示 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 2			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnxjlob.html" rel="bookmark">asp&period;net刷新本页面的六种方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 本篇文章主要是对asp.net刷新本页面的六种方法进行了详细的总结介绍,需要的朋友可以过来参考下,希望对大家有所帮助 第一:  private void Button1_Click( object sender, System.EventArgs e )    {      Response.Redirect( Request.Url.ToString( ) );  }    第二:  private void Button2_Click( object sender, System.Even			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWl2Vqp.html" rel="bookmark">asp&period;net中登录页面用户名和密码与数据库中数据进行比对出错，求大神指导！！！！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 asp.net中登录页面用户名和密码与数据库中数据进行比对出错,求大神指导!!!! dr['AID']=112100011TextBox1.Text=1121000177 dr['apassword']=245fghTextBox2.Text=123456 dr['AID']=1121000177TextBox1.Text=1121000177 dr['apassword']= 123456TextBox2.Text=123456 用户名或密码不正确,请重新输入! 这是运行时页面打印出			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdBWAb.html" rel="bookmark" class="title">驱动精灵发布升级扩展版内置网卡驱动包</a>
					<div>
						距上个版本的驱动精灵发布已一月有余,在这段时间里,我们努力收集了一些细节问题,在这次的驱动精灵2011 SP3版本中进行了修正和改进.我们着手解决了Windows 7以上非中文操作系统驱动列表存在乱码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7WOXz.html" rel="bookmark" class="title">网页字体的设置</a>
					<div>
						网页 今天我们来谈谈字体. ●字体(Font)的设置是网页制作新手遇到的第一个难点.如何控制字体大小,如何取消链接字体的下划线是网友来信问得最多的.好,我们来彻底研究一下字体的各个方面: ○字符集的设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3kdkb.html" rel="bookmark" class="title">三种Web开发主流技术的评价之PHP</a>
					<div>
						web|评价|主流 作者:黄冬 PHP:Personal HomePage PHP是一个什么原因出现的呢?它是一个技术人员希望能用一个快速的方面来完成他自己的个人主页中的一个小应用.而在他一发不可收时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgoJ1M.html" rel="bookmark" class="title">PHP的身份证号码工具类翻译的那个Java的</a>
					<div>
						&lt;?php /** * 身份证工具类 * * @author Tongle Xu &lt;xutongle@gmail.com&gt; 2013-6-6 * @copyright Copyrig ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPgQZM.html" rel="bookmark" class="title">地方或行业网站的推广常见误区</a>
					<div>
						目前做面向全国的大而全的网站已经很难了.目前最看好的,应该就要数中小城市的地方网站或者针对某个行业的专业网站了.这样的网站就好比用拳头打墙,无论如何也没有效果,但是用图钉,不用太大力气也可以摁进去一样 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7lORb.html" rel="bookmark" class="title">也谈截取首页新闻 - 范例</a>
					<div>
						截取yahoo.com.cn新闻[仅供实验] 有很多截取首页新闻的程序,但是并不能成功. 他们的工作原理无非两种,一种是采用某些网站称之为backend的后端数据库接口,另一种则是硬声声的根据html ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbK6Lnz.html" rel="bookmark" class="title">四方面揭开网站路径优化的面纱</a>
					<div>
						我记得在我的上篇文章里写的是美工前台的一些优化注意点,有时间你做完前台之后还一定要管管后台,而在前台与后台之间你肯定要关心一下网站路径问题.因为在SEO中路径优化也是重中之重,而下面的这几点说说路径在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7jJvb.html" rel="bookmark" class="title">ASP测试WEB服务器</a>
					<div>
						&lt;HTML&gt; &lt;HEAD&gt; &lt;TITLE&gt;测试WEB服务器&lt;/TITLE&gt; &lt;/HEAD&gt; &lt;BODY&gt; &lt;Script  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91jA3M.html" rel="bookmark" class="title">Dreamweaver优化网页的方法</a>
					<div>
						我们为了优化网页.加快网页下载速度,除了对图片进行优化之外,还需对网页其他各个元素进行优化.在网页编织过程中如能充分利用编辑工具,也可以在网页制作中达到优化目的. 下面是Dreamweaver中的一些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGO8wb.html" rel="bookmark" class="title">网易云音乐怎么下载音乐歌曲</a>
					<div>
						  网易云音乐怎么下载音乐歌曲           首先,我们打开网易云音乐,如果我们的账号的,我们就注册一个就可以了,网易的邮箱就是可以的. 打开以后,我们就在上面的搜索框里面输入我们的歌曲名字了, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNZjOM.html" rel="bookmark" class="title">jtable-Jtable的问题，大神求指教</a>
					<div>
						问题描述 Jtable的问题,大神求指教 最近运用JPanel做一个数据库查询表单,在做翻页功能的时候出现了一个问题 .翻页是可以做到,但是当我点击表头或者在点击翻页后的任意一行 时 表单会变成第一页 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7Qa2z.html" rel="bookmark" class="title">JS简单实现城市二级联动选择插件的方法&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了JS简单实现城市二级联动选择插件的方法.分享给大家供大家参考.具体如下: js实现的城市联动选择菜单,网上经常见到,不多介绍了,本款城市选择菜单原型基于Select,主要使用JavaSc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94qeXb.html" rel="bookmark" class="title">JSP网页分页显示数据库的内容</a>
					<div>
						下面是我的jsp连接mysql数据库的代码,现在有的数据库的条目有1000多个,我想分页显示,每页显示200个,请问怎么改才能实现?   &lt;!DOCTYPE HTML PUBLIC&quot;- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB15xkz.html" rel="bookmark" class="title">Ceph分布式存储学习指南1&period;3　Ceph和存储的未来</a>
					<div>
						1.3 Ceph和存储的未来 企业存储需求最近几年暴发性增长.研究表明,大企业的数据年增长率为40%-60%,而且许多公司的数据占用空间每年翻一番.IDC分析师估计2000年全世界数据量大约是54.4 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRNamb.html" rel="bookmark" class="title">android PullToRrefresh自定义下拉刷新动画</a>
					<div>
						参考自 http://blog.csdn.net/wwj_748/article/details/42523611 首先,下载著名的刷新框架https://github.com/chrisbanes/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydL1Pb.html" rel="bookmark" class="title">sql盲注怎么解决</a>
					<div>
						问题描述 用appscan时检测出了sql盲注,有没有什么好的办法解决,让appscan检测不出这个问题 解决方案 解决方案二:它报告的问题实际上在你的系统中存在吗?解决方案三:就是SQL注入嘛最简单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkA2xEb.html" rel="bookmark" class="title">服务器cpu架构介绍</a>
					<div>
						处理器的指令架构,如IA-32.IA一64.x86-32.x86-64. 处理器的指令执行方式,如RISC(精简指令运算集 ).CISC(复杂指令运算集 ).VLIW(显式并行指令运算集 ).EPIC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRrvrp.html" rel="bookmark" class="title">DEV datagrid 里面 有一列要做成下拉 可多选的</a>
					<div>
						问题描述 如题,要做成图片上的这种效果.按钮请忽略请问该怎么解决 解决方案 解决方案二:有没有谁做过之类的列子.谢谢解决方案三:dev官网的demo上有解决方案四:引用2楼FoxDave的回复: de ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7E32z.html" rel="bookmark" class="title">broadcast-有关在android代码中调用adb命令发送通知，没有回调onReceive方法问题</a>
					<div>
						问题描述 有关在android代码中调用adb命令发送通知,没有回调onReceive方法问题 大神们,非常谦虚的请教下问题,是这样,我在终端输入adb shell am broadcast -a t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWeJ5z.html" rel="bookmark" class="title">后缀就扩展名为js的文件是什么文件&lbrack;原创&rsqb;&lowbar;基础知识</a>
					<div>
						好多朋友刚开始接触网络,不懂后缀为js的文件,是什么文件,其实这个扩展名为.js的文件就是javascript文件,为什么要用&lt;script src=&quot;test.js&quot;&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8N74Vb.html" rel="bookmark" class="title">mysql数据库优化总结&lpar;心得&rpar;&lowbar;Mysql</a>
					<div>
						 1. 优化你的MySQL查询缓存在MySQL服务器上进行查询,可以启用高速查询缓存.让数据库引擎在后台悄悄的处理是提高性能的最有效方法之一.当同一个查询被执行多次时,如果结果是从缓存中提取,那是相当 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL56akz.html" rel="bookmark" class="title">VB动态添加文本框出错（VBA转出错）</a>
					<div>
						问题描述 SubAddRow()DimiAsIntegerDimmyTextBoxAsMSForms.TextBoxDimArrAlign'Ifn=15ThenExitSub'最多是15行n=n+1A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRdRlez.html" rel="bookmark" class="title">第九届开源中国开源世界高峰论坛6月底北京举行</a>
					<div>
						由中国开源软件推进联盟(COPU)发起主办,备受国内外开源界所瞩目的一年一度&quot;开源中国开源世界&quot;高峰论坛(简称&quot;论坛&quot;),将于2014年6月27日-28日在北京 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Yj3qz.html" rel="bookmark" class="title">Twain协议 支持把多张图片扫描成一张pdf文件吗</a>
					<div>
						问题描述 Twain协议支持把多张图片扫描成一张pdf文件吗 解决方案 解决方案二:支持.有英文文档.你可以下载看看.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjE20Nz.html" rel="bookmark" class="title">面试题：关于java&mdash;&mdash;web的</a>
					<div>
						问题描述 两台电脑,没有外网,但可以通过TCP|IP连接,电脑A装有jdk1.4,怎么让电脑B在地址栏输入A的IP且传参后,在浏览器中显示&quot;参数你好-我是某某&quot;.请问大神们,怎么回 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdBXNXb.html" rel="bookmark" class="title">南方日报：编外借调能否一同实名网晒</a>
					<div>
						随意借调人员,实质上已经是一种变相超编.混编行为.对于这种尽管不占用编制内指标,却又实际在该部门工作的借调人员,是不是也应该拿出来晒一晒.晾一晾? &quot;2010年底,广东将基本实现全省范围内机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBGrXOM.html" rel="bookmark" class="title">还在买用户&quest;其实一点意义都没有</a>
					<div>
						导读:数据报告机构Swrve一份最新报告显示:在2014年1月至7月的半年间,手机游戏玩家付费率已经从1.5%降至1.35%,ARPU同样下滑. 数据报告机构Swrve一份最新报告显示:在2014年1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK3O2Eb.html" rel="bookmark" class="title">诺基亚转投谷歌Android平台</a>
					<div>
						[科技讯]6月28日消息,诺基亚现在的生存状况不佳,前几日还传出即将被微软收购,最终因价格问题搁置的消息.而美投行分析师继续看衰诺基亚,认为该公司只有加入谷歌Android阵营才能有出路. 据国外媒体 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYBm2Vp.html" rel="bookmark" class="title">温总理政府工作报告指出：积极发展电子商务</a>
					<div>
						3月5日消息,2010年3月5日9时,十一届全国人民代表大会第三次会议在京开幕.国务院总理温家宝作政府工作报告.温家宝首先对2009年的工作进行了回顾,其次分别从宏观经济.扩大内需.房地产.城乡发展等 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeLAd8p.html" rel="bookmark" class="title">旅行利器！万能充电包</a>
					<div>
						手机.平板.笔记本.数码相机--旅行期间的充电问题是个大烦恼.近日,Aviiq发布了新的便携万能充电包,可以引出3+1个USB充电接口,同时还备有一个可伸缩的端口可以进行数据同步,同时布袋设计了几个方 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
